Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- File List
- Globals

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Namespaces | Constant Groups | Macros | Functions
LuceneAllocator.h File Reference
`#include "Config.h"`

Go to the source code of this file.

## Namespaces

| Lucene

## Constant Groups

| Lucene

## Macros

#define | LuceneAllocator std::allocator

## Functions

LPPAPI void * | Lucene::AllocMemory (size_t size)
| Allocate block of memory. More...
LPPAPI void * | Lucene::ReallocMemory (void *memory, size_t size)
| Reallocate a given block of memory. More...
LPPAPI void | Lucene::FreeMemory (void *memory)
| Release a given block of memory. More...
LPPAPI void | Lucene::ReleaseThreadCache ()
| Release thread cache. Note: should be called whenever a thread exits and using nedmalloc. More...

## Macro Definition Documentation

#define LuceneAllocator std::allocator

clucene.sourceforge.net